-- PostgreSQL
--
-- Host: localhost    Database: organization
-- ------------------------------------------------------
-- Server version	

--
-- Creating indexes
--
--

--
-- System module
--



-- 
-- End of System module
-- 



-- 
-- Visual module
-- 

CREATE INDEX ix_page_typeid ON Page (typeId);
CREATE INDEX ix_page_themeid ON Page (themeId);

CREATE INDEX ix_elements_pageid ON Elements (pageId);

-- 
-- End of Visual module
-- 


-- 
-- Question module
-- 

CREATE INDEX ix_question_validator ON QuestionValidator (questionId);

CREATE INDEX ix_q_version_position ON QuestionVersion (position);
CREATE INDEX ix_q_version ON QuestionVersion (questionId);

CREATE INDEX ix_q_setting ON QuestionSetting (questionVersionId);

CREATE INDEX ix_a_customerid ON Answer (position);
CREATE INDEX ix_a_orderid ON Answer (customerId, questionId);
CREATE INDEX ix_a_position ON Answer (orderId, questionVersionId);

-- 
-- End of Question module
-- 


-- 
-- Customer module
-- Dependencies: Question module, System module, Visual module
-- 

CREATE INDEX ix_customer_group_theme ON CustomerGroup (themeId);

CREATE INDEX ix_contact_personid ON Customer (contactPersonId);
CREATE INDEX ix_customer ON Customer (primaryGroupId);
CREATE INDEX ix_adminid ON Customer (adminId);

CREATE INDEX ix_c_c_creator ON CustomerComment (creatorId);
CREATE INDEX ix_c_c_customerid ON CustomerComment (customerId);

CREATE INDEX ix_w_customerid ON Wishlist (customerId);

CREATE INDEX ix_w_item ON WishlistItem (wishlistId);

-- 
-- End of Customer module
-- 


--
-- Product module (VAT-related tables)
--

CREATE INDEX ix_vat_category ON VatCategory (defaultRegionId);

CREATE INDEX ix_vat_categoryid ON Vat (vatCategoryId);
CREATE INDEX ix_vat_regionid ON Vat (vatRegionId);

--
-- End of Product module
--


--
-- Table structure for table `Basket`
--

CREATE INDEX ix_b_sessionid ON Basket (sessionId);
CREATE INDEX ix_b_orderid ON Basket (orderId);
CREATE INDEX ix_b_customerid ON Basket (customerId);

--
-- Dumping data for table `Basket`
--

--
-- Table structure for table `BasketOption`
--

CREATE INDEX ix_basket_option ON BasketOption (basket);

--
-- Dumping data for table `BasketOption`
--

--
-- Table structure for table `ClientIPRule`
--



-- 
-- Table structure for table `Coupon`
--



-- 
-- Table structure for table `CouponGroup`
--



--
-- Table structure for table `ELogi`
--



--
-- Dumping data for table `ELogi`
--

CREATE INDEX ix_elogi_order ON ELogi (orderId);

--
-- Table structure for table `IPRule`
--

--
-- Dumping data for table `IPRule`
--


--
-- Table structure for table `MessageEvents`
--

CREATE INDEX ix_message_event ON MessageEvents (MessageTemplate);

--
-- Dumping data for table `MessageEvents`
--


--
-- Table structure for table `MessageReceivers`
--

CREATE INDEX ix_message_receivers ON MessageReceivers (MessageID);

--
-- Dumping data for table `MessageReceivers`
--


--
-- Table structure for table `MessageTemplate`
--

--
-- Dumping data for table `MessageTemplate`
--



--
-- Table structure for table `Options`
--



--
-- Dumping data for table `Options`
--


--
-- Table structure for table `OrderHistory`
--

CREATE INDEX ix_o_h_status ON OrderHistory (status);
CREATE INDEX ix_o_h_orderid ON OrderHistory (orderId);

--
-- Dumping data for table `OrderHistory`
--


--
-- Table structure for table `OrderStatus`
--

--
-- Dumping data for table `OrderStatus`
--


--
-- Table structure for table `Ordr`
--

CREATE INDEX ix_o_p_status ON Ordr (paymentStatus);
CREATE INDEX ix_o_hand_status ON Ordr (handlingStatus);

--
-- Dumping data for table `Ordr`
--


--
-- Table structure for table `Payment`
--

CREATE INDEX ix_payment_vat ON Payment (vatCategoryId);

--
-- Dumping data for table `Payment`
--


--
-- Table structure for table `PrinettiTemplate`
--



--
-- Dumping data for table `PrinettiTemplate`
--


--
-- Table structure for table `PrinettiTemplateSetting`
--

CREATE INDEX ix_prinetti_template ON PrinettiTemplateSetting (templateId);

--
-- Dumping data for table `PrinettiTemplateSetting`
--


--
-- Table structure for table `Product`
--

CREATE INDEX ix_p_settings ON Product (settings);
CREATE INDEX ix_p_vatcategory ON Product (vatCategoryId);

--
-- Dumping data for table `Product`
--


--
-- Table structure for table `ProductGroup`
--

CREATE INDEX ix_p_g_parent ON ProductGroup (parent);

--
-- Dumping data for table `ProductGroup`
--

--
-- Table structure for table `ProductOption`
--

CREATE INDEX ix_p_o_parent ON ProductOption (parentProduct);

--
-- Dumping data for table `ProductOption`
--


--
-- Table structure for table `ProductOptionChoice`
--

CREATE INDEX ix_p_o_choice ON ProductOptionChoice (parentOption);

--
-- Dumping data for table `ProductOptionChoice`
--


--
-- Table structure for table `ProductSettings`
--

--
-- Dumping data for table `ProductSettings`
--


--
-- Table structure for table `ProductSettingsSearchedProps`
--

CREATE INDEX ix_p_s_searched ON ProductSettingsSearchedProps (ProductSettingsId);

--
-- Dumping data for table `ProductSettingsSearchedProps`
--


--
-- Table structure for table 'QuantityPricingRule'
--

CREATE INDEX ix_q_p_rule ON QuantityPricingRule (parentProduct);

--
-- Table structure for table `Settings`
--



--
-- Dumping data for table `Settings`
--


--
-- Table structure for table `Shopdata`
--

--
-- Dumping data for table `Shopdata`
--


--
-- Table structure for table `Transport`
--

CREATE INDEX ix_t_vatcategory ON Transport (vatCategoryId);

--
-- Dumping data for table `Transport`
--

--
-- Table structure for table `CostCalculator`
--

--
-- Dumping data for table `CostCalculator`
--

--
-- Table structure for table `CostCalculatorRule`
--

--
-- Table structure for table `Versions`
--



--
-- Dumping data for table `Versions`
--

--
-- Table structure for table 'PaymentTransaction'
--

--
-- Table structure for table 'PaymentTransactionItem'
--

CREATE INDEX ix_p_t_item ON PaymentTransactionItem (transactionId);

--
-- Table structure for table 'PaymentTransactionHistory'
--

CREATE INDEX ix_p_t_history ON PaymentTransactionHistory (transactionId);

--
-- Table structure for table 'ProductGroupsAssociation'
--

CREATE INDEX ix_p_g_a_pid ON ProductGroupAssociation (pid);
CREATE INDEX ix_p_g_a_gid ON ProductGroupAssociation (gid);

-- 
-- Table structure for table '
--

CREATE INDEX ix_p_c_customergid ON PricingContract (customerGroupId);
CREATE INDEX ix_p_c_group ON PricingContract (pricingContractGroup);
CREATE INDEX ix_p_c_itemcode ON PricingContract (itemCode);
CREATE INDEX ix_p_c_customerid ON PricingContract (customerId);

--
-- Table structure for table 'PaymentParameters'
--

CREATE INDEX ix_p_p_payment ON PaymentParameters (paymentId);

--
-- Table structure for table `IdentificationTransaction`
--

--
-- Table structure for table `IdentificationParameters`
--

CREATE INDEX ix_i_p_method ON IdentificationParameters (method);

--
-- Table structure for table `IdentificationHistory`
--

CREATE INDEX ix_i_history ON IdentificationHistory (transactionId);

--
-- Table structure for table `PaymentTransactionProperty`
--

CREATE INDEX ix_p_t_property ON PaymentTransactionProperty (transactionId);

--
-- Table structure for table `GLAbstractRec`
--

CREATE INDEX ix_glemailmessageid ON GLAbstractRec (emailMessageId);
CREATE INDEX ix_glorderid ON GLAbstractRec (orderId);
CREATE INDEX ix_glemailsourcecontainerid ON GLAbstractRec (emailSourceContainerId);
CREATE INDEX ix_glosrcontainerId ON GLAbstractRec (oSRContainerId);
CREATE INDEX ix_glcsrcontainerId ON GLAbstractRec (cSRContainerId);
CREATE INDEX ix_glcustomerid ON GLAbstractRec (customerId);

--
-- Table structure for table `GLAbstractRestr`
--

CREATE INDEX ix_glcontainerid ON GLAbstractRestr (containerId);
CREATE INDEX ix_glblacklistid ON GLAbstractRestr (blacklistId);

--
-- Table structure for table `GLEmailSource`
--

CREATE INDEX ix_glsourcecontainerid ON GLEmailSource (sourceContainerId);
CREATE INDEX ix_glrestrictioncontainerid ON GLEmailSource (restrictionContainerId);

--
-- Table structure for table `GLSourceContainer`
--

CREATE INDEX ix_gladdrestrictionsid ON GLSourceContainer (additionalRestrictionsId);
CREATE INDEX ix_gluserid ON GLSourceContainer (userId);
CREATE INDEX ix_gladditionalemailsid ON GLSourceContainer (additionalEmailsId);

--
-- Table structure for table `GLCustomerGroup`
--

CREATE INDEX ix_glcgcontainerId ON GLCustomerGroup (containerId);
CREATE INDEX ix_glcustomergroup ON GLCustomerGroup (customerGroup);

--
-- Table structure for table `GLMailingList`
--

--
-- Table structure for table `GLEmailMessage`
--

CREATE INDEX ix_glmailqueueid ON GLEmailMessage (mailQueueId);

--
-- Table structure for table 'GLProductBlock'
--

CREATE INDEX ix_glmailinglistid ON GLProductBlock (mailingListId);

--
-- Table structure for table 'GLProduct'
--

CREATE INDEX ix_glproductid ON GLProduct (productId);
CREATE INDEX ix_glproductblockid ON GLProduct (productBlockId);

CREATE INDEX ix_acc_customerid ON AccountCookie (customerid);

--
-- Adding constraints
--

--
-- System module
--

ALTER TABLE Users ADD CONSTRAINT un_users_userid UNIQUE (UserID);

-- 
-- End of System module
-- 



-- 
-- Visual module
-- 

ALTER TABLE Theme ADD CONSTRAINT un_theme_name UNIQUE (name);

-- 
-- End of Visual module
-- 


-- 
-- Question module
-- 

ALTER TABLE QuestionCollection ADD CONSTRAINT un_question_collection_name UNIQUE  (name);

ALTER TABLE Question ADD CONSTRAINT un_question_collectionid UNIQUE (collectionId, typeId);

ALTER TABLE QuestionSetting ADD CONSTRAINT un_question_setting UNIQUE (questionVersionId, name);

ALTER TABLE Answer
ADD CONSTRAINT customerid_fk
FOREIGN KEY (customerId) REFERENCES Customer (id);

ALTER TABLE Answer
ADD CONSTRAINT orderid_fk
FOREIGN KEY (orderId) REFERENCES Ordr (ID);

ALTER TABLE Answer
ADD CONSTRAINT questionid_fk
FOREIGN KEY (questionId) REFERENCES Question (id);

ALTER TABLE Answer
ADD CONSTRAINT answerversionid_fk
FOREIGN KEY (questionversionId) REFERENCES QuestionVersion (id);

ALTER TABLE Question
ADD CONSTRAINT collectionid_fk
FOREIGN KEY (collectionId) REFERENCES QuestionCollection (id);

ALTER TABLE QuestionSetting
ADD CONSTRAINT questionsetting_fk
FOREIGN KEY (questionversionId) REFERENCES QuestionVersion (id);

ALTER TABLE  QuestionValidator
ADD CONSTRAINT Questionvalidator_fk
FOREIGN KEY (questionId) references Question (id);

ALTER TABLE QuestionVersion
ADD CONSTRAINT questionversionid_fk
FOREIGN KEY (questionId) REFERENCES Question (id);

-- 
-- End of Question module
-- 


-- 
-- Customer module
-- Dependencies: Question module, System module, Visual module
-- 

ALTER TABLE CustomerGroup ADD CONSTRAINT un_customer_group_name UNIQUE (name);

ALTER TABLE Customer ADD CONSTRAINT un_customer_number UNIQUE (customerNumber);
ALTER TABLE Customer ADD CONSTRAINT un_customer_login UNIQUE (login);

ALTER TABLE Customer
ADD CONSTRAINT adminid_fk
FOREIGN KEY (adminId) REFERENCES Users (ID);

ALTER TABLE Customer
ADD CONSTRAINT contactpersonid_fk
FOREIGN KEY (contactpersonId) REFERENCES Users (ID);

ALTER TABLE Customer
ADD CONSTRAINT primarygroupid_fk
FOREIGN KEY (primarygroupId) REFERENCES CustomerGroup (id);

ALTER TABLE CustomerComment
ADD CONSTRAINT creatorid_fk
FOREIGN KEY (creatorId) REFERENCES Users (ID);

ALTER TABLE CustomerComment
ADD CONSTRAINT commentcustomerid_fk
FOREIGN KEY (customerId) REFERENCES Customer (id);

ALTER TABLE CustomerCustomerGroup
ADD CONSTRAINT customergroup_fk
FOREIGN KEY (customerId) REFERENCES Customer (id);

ALTER TABLE CustomerCustomerGroup
ADD CONSTRAINT groupid_fk
FOREIGN KEY (groupId) REFERENCES CustomerGroup (id);

ALTER TABLE CustomerGroup
ADD CONSTRAINT themeid_fk
FOREIGN KEY (themeId) REFERENCES Theme (id);

ALTER TABLE Wishlist
ADD CONSTRAINT wishlistcustomerid_fk
FOREIGN KEY (customerId) REFERENCES Customer (id);

ALTER TABLE WishlistItem
ADD CONSTRAINT wishlistid_fk
FOREIGN KEY (wishlistId) REFERENCES Wishlist (id);

-- 
-- End of Customer module
-- 


--
-- Product module (VAT-related tables)
--

ALTER TABLE VatRegion ADD CONSTRAINT un_vat_region_name UNIQUE (name);

ALTER TABLE VatCategory ADD CONSTRAINT un_vat_category_name UNIQUE (name);

ALTER TABLE Vat
ADD CONSTRAINT vatcategoryid_fk
FOREIGN KEY (vatcategoryId) REFERENCES VatCategory (id);

ALTER TABLE Vat
ADD CONSTRAINT vatregionid_fk
FOREIGN KEY (vatregionId) REFERENCES VatRegion (id);

ALTER TABLE VatCategory
ADD CONSTRAINT defaultregionid_fk
FOREIGN KEY (defaultregionId) REFERENCES VatRegion (id);

--
-- End of Product module
--


--
-- Table structure for table `Basket`
--



--
-- Dumping data for table `Basket`
--


--
-- Table structure for table `BasketOption`
--



--
-- Dumping data for table `BasketOption`
--

--
-- Table structure for table `ClientIPRule`
--



-- 
-- Table structure for table `Coupon`
--

ALTER TABLE Coupon ADD CONSTRAINT un_coupon_code UNIQUE (code);

-- 
-- Table structure for table `CouponGroup`
--

ALTER TABLE CouponGroup ADD CONSTRAINT un_coupon_group_title UNIQUE (title);

--
-- Table structure for table `ELogi`
--

ALTER TABLE ELogi
ADD CONSTRAINT elogi_orderid_fk
FOREIGN KEY (orderId) REFERENCES Ordr (ID);

--
-- Dumping data for table `ELogi`
--



--
-- Table structure for table `IPRule`
--

--
-- Dumping data for table `IPRule`
--


--
-- Table structure for table `MessageEvents`
--



--
-- Dumping data for table `MessageEvents`
--


--
-- Table structure for table `MessageReceivers`
--



--
-- Dumping data for table `MessageReceivers`
--


--
-- Table structure for table `MessageTemplate`
--

--
-- Dumping data for table `MessageTemplate`
--



--
-- Table structure for table `Options`
--

ALTER TABLE Options ADD CONSTRAINT un_options_name UNIQUE (Name);

--
-- Dumping data for table `Options`
--


--
-- Table structure for table `OrderHistory`
--




--
-- Dumping data for table `OrderHistory`
--


--
-- Table structure for table `OrderStatus`
--

--
-- Dumping data for table `OrderStatus`
--


--
-- Table structure for table `Ordr`
--

ALTER TABLE Ordr ADD CONSTRAINT un_ordr_number UNIQUE (orderNumber);

--
-- Dumping data for table `Ordr`
--


--
-- Table structure for table `Payment`
--

ALTER TABLE Payment ADD CONSTRAINT un_payment_paymentid UNIQUE (paymentId);

ALTER TABLE Payment
ADD CONSTRAINT paymentvatcategoryid_fk
FOREIGN KEY (vatcategoryId) REFERENCES VatCategory (id);

--
-- Dumping data for table `Payment`
--


--
-- Table structure for table `PrinettiTemplate`
--

ALTER TABLE PrinettiTemplate ADD CONSTRAINT un_prinetti_template_name UNIQUE (name);

--
-- Dumping data for table `PrinettiTemplate`
--


--
-- Table structure for table `PrinettiTemplateSetting`
--

ALTER TABLE PrinettiTemplateSetting ADD CONSTRAINT un_prinetti_template_setting UNIQUE (templateId, name);

ALTER TABLE PrinettiTemplateSetting
ADD CONSTRAINT templateid_fk
FOREIGN KEY (templateId) REFERENCES PrinettiTemplate (id);

--
-- Dumping data for table `PrinettiTemplateSetting`
--


--
-- Table structure for table `Product`
--

ALTER TABLE Product ADD CONSTRAINT un_product_itemcode UNIQUE (itemCode);

ALTER TABLE Product
ADD CONSTRAINT product_vatcategoryid_fk
FOREIGN KEY (vatcategoryId) REFERENCES VatCategory (id);

ALTER TABLE Product
ADD CONSTRAINT fk_product_producttype
FOREIGN KEY (productType)
REFERENCES ProductType(id);

--
-- Table structure for table `ProductFieldLabel`
--

ALTER TABLE ProductFieldLabel
ADD CONSTRAINT fk_productfieldlabel_ptype
FOREIGN KEY (productType)
REFERENCES ProductType(id);

--
-- Dumping data for table `Product`
--


--
-- Table structure for table `ProductGroup`
--



--
-- Dumping data for table `ProductGroup`
--

--
-- Table structure for table `ProductOption`
--



--
-- Dumping data for table `ProductOption`
--


--
-- Table structure for table `ProductOptionChoice`
--



--
-- Dumping data for table `ProductOptionChoice`
--


--
-- Table structure for table `ProductSettings`
--

--
-- Dumping data for table `ProductSettings`
--


--
-- Table structure for table `ProductSettingsSearchedProps`
--



--
-- Dumping data for table `ProductSettingsSearchedProps`
--

--
-- Dumping data for table `ProductType`
--

ALTER TABLE ProductType ADD CONSTRAINT un_producttype_code UNIQUE (code);

--
-- Table structure for table 'QuantityPricingRule'
--



--
-- Table structure for table `Settings`
--

ALTER TABLE Settings ADD CONSTRAINT un_settings_theme UNIQUE (Theme, Name);

--
-- Dumping data for table `Settings`
--


--
-- Table structure for table `Shopdata`
--

--
-- Dumping data for table `Shopdata`
--


--
-- Table structure for table `Transport`
--

ALTER TABLE Transport ADD CONSTRAINT un_transport_name UNIQUE (Name);

ALTER TABLE Transport
ADD CONSTRAINT transport_vatcategoryid_fk
FOREIGN KEY (vatcategoryId) REFERENCES VatCategory (id);

--
-- Dumping data for table `Transport`
--

--
-- Table structure for table `CostCalculator`
--

--
-- Dumping data for table `CostCalculator`
--

--
-- Table structure for table `CostCalculatorRule`
--

--
-- Table structure for table `Versions`
--

ALTER TABLE Version ADD CONSTRAINT un_version_build UNIQUE (build);

--
-- Dumping data for table `Versions`
--

--
-- Table structure for table 'PaymentTransaction'
--

--
-- Table structure for table 'PaymentTransactionItem'
--



--
-- Table structure for table 'PaymentTransactionHistory'
--



--
-- Table structure for table 'ProductGroupsAssociation'
--



-- 
-- Table structure for table '
--



--
-- Table structure for table 'PaymentParameteres'
--

ALTER TABLE PaymentParameters
ADD CONSTRAINT paymentid_fk
FOREIGN KEY (paymentId) REFERENCES Payment (id);

--
-- Table structure for table `Identification
--


ALTER TABLE Identification ADD CONSTRAINT un_identification_code UNIQUE (code);

--
-- Table structure for table IdentificationTransaction
--

--
-- Table structure for table IdentificationParameters
--

ALTER TABLE IdentificationParameters ADD CONSTRAINT un_identification_parameters UNIQUE (method, name);

--
-- Table structure for table IdentificationHistory
--



--
-- Table structure for table PaymentTransactionProperty
--



--
-- Table structure for table GLAbstractRec
--


ALTER TABLE GLAbstractRec ADD CONSTRAINT emailmessageid_fk FOREIGN KEY (emailMessageId) REFERENCES GLEmailMessage (id);
ALTER TABLE GLAbstractRec ADD CONSTRAINT glorderid_fk FOREIGN KEY (orderId) REFERENCES Ordr (id);
ALTER TABLE GLAbstractRec ADD CONSTRAINT emailsourcecontainerid_fk FOREIGN KEY (emailSourceContainerId) REFERENCES GLEmailSource (id);
ALTER TABLE GLAbstractRec ADD CONSTRAINT osrcontainerid_fk FOREIGN KEY (oSRContainerId) REFERENCES GLEmailSource (id);
ALTER TABLE GLAbstractRec ADD CONSTRAINT csrcontainerid_fk FOREIGN KEY (cSRContainerId) REFERENCES GLEmailSource (id);
ALTER TABLE GLAbstractRec ADD CONSTRAINT glcustomerid_fk FOREIGN KEY (customerId) REFERENCES Customer (id) ON DELETE CASCADE;

--
-- Table structure for table GLAbstractRestr
--

ALTER TABLE GLAbstractRestr ADD CONSTRAINT containerid_fk FOREIGN KEY (containerId) REFERENCES GLEmailSource (id);
ALTER TABLE GLAbstractRestr ADD CONSTRAINT blacklistid_fk FOREIGN KEY (blacklistId) REFERENCES GLEmailSource (id);


--
-- Table structure for table GLEmailSource
--

ALTER TABLE GLEmailSource ADD CONSTRAINT sourcecontainerid_fk FOREIGN KEY (sourceContainerId) REFERENCES GLSourceContainer (id);
ALTER TABLE GLEmailSource ADD CONSTRAINT restrictioncontainerid_fk FOREIGN KEY (restrictionContainerId) REFERENCES GLSourceContainer (id);

--
-- Table structure for table GLSourceContainer
--

ALTER TABLE GLSourceContainer ADD CONSTRAINT additionalrestrictionsid_fk FOREIGN KEY (additionalRestrictionsId) REFERENCES GLEmailSource (id);
ALTER TABLE GLSourceContainer ADD CONSTRAINT gluserid_fk FOREIGN KEY (userId) REFERENCES Users (id);
ALTER TABLE GLSourceContainer ADD CONSTRAINT additionalemailsid_fk FOREIGN KEY (additionalEmailsId) REFERENCES GLEmailSource (id);

--
-- Table structure for table GLCustomerGroup
--

ALTER TABLE GLCustomerGroup ADD CONSTRAINT glcontainerid_fk FOREIGN KEY (containerId) REFERENCES GLSourceContainer (id);
ALTER TABLE GLCustomerGroup ADD CONSTRAINT glcustomergroup_fk FOREIGN KEY (customerGroup) REFERENCES CustomerGroup (id);

--
-- Table structure for table GLMailingList
--

--
-- Table structure for table GLEmailMessage
--

ALTER TABLE GLEmailMessage ADD CONSTRAINT mailqueueid_fk FOREIGN KEY (mailQueueId) REFERENCES GLMailingList (id);

--
-- Table structure for table 'GLProductBlock'
--

ALTER TABLE GLProductBlock
ADD CONSTRAINT glmailinglistid_fk
FOREIGN KEY (mailingListId) REFERENCES GLMailingList (id);

--
-- Table structure for table 'GLProduct'
--

ALTER TABLE GLProduct
ADD CONSTRAINT glproductid_fk
FOREIGN KEY (productId) REFERENCES Product (id);

ALTER TABLE GLProduct
ADD CONSTRAINT glproductblockid_fk
FOREIGN KEY (productBlockId) REFERENCES GLProductBlock (id);

ALTER TABLE PluginOption ADD CONSTRAINT un_plugin_option_name UNIQUE (name);

ALTER TABLE AccountCookie ADD CONSTRAINT un_account_cookie UNIQUE (cookie);

ALTER TABLE AccountCookie
ADD CONSTRAINT accountcookieid_fk
FOREIGN KEY (customerId) REFERENCES Customer (id);
