create table QuestionCollection (
	id bigint(20) auto_increment primary key,
	name varchar(64) not null unique
);
insert into QuestionCollection (id, name) values (1, 'questions');


create table Question (
	id bigint(20) auto_increment primary key,
	clientMode varchar(16) not null,
	collectionId bigint(20) references QuestionCollection.id,
	customerEnabled tinyint(1) not null,
	orderEnabled tinyint(1) not null,
	position int(11),
	required tinyint(1) not null,
	discriminatorType bigint(20) not null,
	usedInMatchingEnabled tinyint(1) not null,
	typeId bigint(20)
);


create table QuestionVersion (
	id bigint(20) auto_increment primary key,
	label text not null,
	position int(11) not null,
	questionId bigint(20) not null references Question.id,
	settings text,
	key (position),
	key (questionId)
);


create table QuestionSetting (
	id bigint(20) auto_increment primary key,
	name varchar(64) not null,
	questionVersionId bigint(20) not null references QuestionVersion.id,
	value text not null,
	unique key (questionVersionId, name),
	key (questionVersionId)
);


create table AnswerCollection (
	id bigint(20) auto_increment primary key
);


create table Answer (
	id bigint(20) auto_increment primary key,
	value text,
	collectionId bigint(20) not null references AnswerCollection.id,
	position int(11) not null,
	questionId bigint(20) references Question.id,
	questionVersionId bigint(20) references QuestionVersion.id,
	typeId bigint(20) not null,
	unique key (collectionId, questionVersionId),
	unique key (collectionId, questionId),
	key (collectionId),
	key (position)
);
